REM  Batch script to compute SAM multipliers

call cleanup

REM  create GSS,GST files for MULTSAM
tablo -pgs multsam >tb1.log
if errorlevel 1 goto err
REM  create EQ4, LU4 files 
gemsim -cmf multsam.cmf  >run1.log
REM Above, use oraniglr.cmf for long-run elasticities
if errorlevel 1 goto err

REM  do a SAGEM simulation for each price shock 
sagem -cmf sagem.cmf >sagem.log
if errorlevel 1 goto err

REM  convert SL4 file to SOL HAR file
REM  sti file must be used to get individual columns
sltoht -sti sltoht.sti >sltoht.log
if errorlevel 1 goto err

REM  process results
tablo -pgs results >tb2.log
if errorlevel 1 goto err
gemsim -cmf results.cmf  
if errorlevel 1 goto err

:skip

dir/od *.har *.sl4 
echo JOB DONE OK
goto endbat
:err
echo ERROR - see latest log
dir/od *.log
:endbat